Speechbase

Delete dictionary

Deletes a pronunciation dictionary and cascades to remove its rules; the org default dictionary cannot be deleted.

DELETE
/v1/pronunciation-dictionaries/{id}

Deletes a pronunciation dictionary and cascades to remove its rules; the org default dictionary cannot be deleted.

Authorization

bearerAuth
AuthorizationBearer <token>

API key

In: header

Path Parameters

id*string

Response Body

application/problem+json

curl -X DELETE "https://example.com/v1/pronunciation-dictionaries/string" \  -H "Authorization: Bearer $SPEECHBASE_API_KEY"
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "validation": [
    {
      "path": [
        "string"
      ],
      "message": "string"
    }
  ],
  "provider": "string",
  "upstream_code": "string",
  "upstream_status": 0,
  "turn_index": 0
}